Skip to content
PoshBot plugin to ask WolframAlpha a question
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
.github
PoshBot.Wolfram
CHANGELOG.md
LICENSE
README.md
build.ps1
psake.ps1

README.md

PoshBot.Wolfram

A simple PoshBot plugin for asking WolframAlpha a question.

Install Module

To install the module from the PowerShell Gallery:

PS C:\> Install-Module -Name PoshBot.Wolfram -Repository PSGallery

Install Plugin

To install the plugin from within PoshBot:

!install-plugin --name poshbot.wolfram

Commands

  • askwolfram

Configuration

WolframAlpha requires an API key in order to query against their API. To get an API key, you need to register at http://products.wolframalpha.com/api/. Once you have the API key, edit your PoshBot configuration file and add a new hashtable entry under PluginConfiguration for PoshBot.Wolfram and restart PoshBot. The plugin will read this configuration item and use the API key when querying the WolframAlpha API.

MyPoshBotConfig.psd1

@{
  # Other options ommitted for brevity

  PluginConfiguration = @{
    'PoshBot.Wolfram' = @{
      ApiKey = '<my-api-key>'
    }
  }
}

Usage

!askwolfram '34th president of the united states'

Dwight D. Eisenhower (from January 20, 1953 to January 20, 1961)
You can’t perform that action at this time.